Upstream information

CVE-2009-4139 at MITRE

Description

Cross-site request forgery (CSRF) vulnerability in the Spacewalk Java site packages (aka spacewalk-java) 1.2.39 in Spacewalk, as used in the server in Red Hat Network Satellite 5.3.0 through 5.4.1 and other products, allows remote attackers to hijack the authentication of arbitrary users for requests that (1) disable the current user account, (2) add user accounts, or (3) modify user accounts to have administrator privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 644074 [RESOLVED / FIXED], 685078 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Manager 1.2 for SLE 11 SP1
  • spacewalk-backend >= 1.2.74-0.30.3
  • spacewalk-backend-app >= 1.2.74-0.30.3
  • spacewalk-backend-applet >= 1.2.74-0.30.3
  • spacewalk-backend-config-files >= 1.2.74-0.30.3
  • spacewalk-backend-config-files-common >= 1.2.74-0.30.3
  • spacewalk-backend-config-files-tool >= 1.2.74-0.30.3
  • spacewalk-backend-iss >= 1.2.74-0.30.3
  • spacewalk-backend-iss-export >= 1.2.74-0.30.3
  • spacewalk-backend-libs >= 1.2.74-0.30.3
  • spacewalk-backend-package-push-server >= 1.2.74-0.30.3
  • spacewalk-backend-server >= 1.2.74-0.30.3
  • spacewalk-backend-sql >= 1.2.74-0.30.3
  • spacewalk-backend-sql-oracle >= 1.2.74-0.30.3
  • spacewalk-backend-tools >= 1.2.74-0.30.3
  • spacewalk-backend-xml-export-libs >= 1.2.74-0.30.3
  • spacewalk-backend-xmlrpc >= 1.2.74-0.30.3
  • spacewalk-backend-xp >= 1.2.74-0.30.3
  • spacewalk-base >= 1.2.31-0.25.1
  • spacewalk-base-minimal >= 1.2.31-0.25.1
  • spacewalk-branding >= 1.2.2-0.18.2
  • spacewalk-grail >= 1.2.31-0.25.1
  • spacewalk-html >= 1.2.31-0.25.1
  • spacewalk-java >= 1.2.115-0.42.1
  • spacewalk-java-config >= 1.2.115-0.42.1
  • spacewalk-java-lib >= 1.2.115-0.42.1
  • spacewalk-java-oracle >= 1.2.115-0.42.1
  • spacewalk-pxt >= 1.2.31-0.25.1
  • spacewalk-setup >= 1.2.16-0.18.1
  • spacewalk-sniglets >= 1.2.31-0.25.1
  • spacewalk-taskomatic >= 1.2.115-0.42.1
  • susemanager >= 1.2.0-0.38.1
  • susemanager-client-config_en-pdf >= 1.2-0.34.1
  • susemanager-install_en-pdf >= 1.2-0.34.1
  • susemanager-jsp_en >= 1.2-0.26.3
  • susemanager-manuals_en >= 1.2-0.34.1
  • susemanager-proxy-quick_en-pdf >= 1.2-0.34.1
  • susemanager-quick_en-pdf >= 1.2-0.34.1
  • susemanager-reference_en-pdf >= 1.2-0.34.1
  • susemanager-tools >= 1.2.0-0.38.1
suse-manager-1.2.x86-64
SAT Patch Nr: 4708


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Manager Server 1.2 spacewalk-backend Released